Revision 51270ce4 INSTALL

View differences:

INSTALL
3 3

  
4 4
- This is not (yet) a 'release'; things may be broken.
5 5

  
6
- Mininet is not currently 'installed.' If you want to install it,
7
  so that you can 'import mininet', place mininet.py somewhere in your
8
  python path.
6
- To install mininet, with root privileges:
7

  
8
  python setup.py install
9

  
10
  This places the mininet package in /usr/lib/python-2.5/site-packages/,
11
  so that 'import mininet' will work.
9 12
  
10 13
- A functional netns binary is required to run mininet, but currently you
11 14
  have to compile it and install it yourself from the included .c file:

Also available in: Unified diff